Bug 77320 - Using ks=ftp://<ip>/ks.cfg or ks=tftp://<ip>/ks.cfg
Using ks=ftp://<ip>/ks.cfg or ks=tftp://<ip>/ks.cfg
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-04 22:25 EST by Dag Wieers
Modified: 2007-04-18 12:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 14:06:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dag Wieers 2002-11-04 22:25:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
It would be nice to be able to get the kickstart configuration file using either
ftp or tftp (in addition to http, nfs, disk and floppy). As one (or both) of
these services are needed for an unattended installation, it would lower the
requirements.

Especially in those cases were you are obliged to have another OS (like OS/2 and
Windows) to do the installation from, less requirements will ease such a setup.

In the case of tftp, it could even default to the ip-adres that was used to get
the pxelinux.0 (bootimage). Especially when ipappend has been specified and this
information is available to the install process.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.-
2.
3.
	

Actual Results:  -

Expected Results:  ks=ftp://<ip>/<path>/ks.cfg
ks=tftp
ks=tftp:/ks.cfg
ks=tftp://<ip>/ks.cfg



Additional info:
Comment 1 Jeremy Katz 2003-01-23 16:42:04 EST
Added ftp to cvs.  tftp isn't going to happen due to space constraints.
Comment 2 Jeremy Katz 2006-04-24 14:06:07 EDT
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.

Note You need to log in before you can comment on or make changes to this bug.